Skip to content
Start here

Removes a tag from an event

client.CloudforceOne.ThreatEvents.EventTags.Delete(ctx, eventID, body) (*ThreatEventEventTagDeleteResponse, error)
DELETE/accounts/{account_id}/cloudforce-one/events/event_tag/{event_id}

Removes a tag from an event

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One Write
ParametersExpand Collapse
eventID string

Event UUID.

body ThreatEventEventTagDeleteParams
AccountID param.Field[string]

Account ID.

ReturnsExpand Collapse
type ThreatEventEventTagDeleteResponse struct{…}
Success bool

Removes a tag from an event

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/cloudforce_one"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  eventTag, err := client.CloudforceOne.ThreatEvents.EventTags.Delete(
    context.TODO(),
    "event_id",
    cloudforce_one.ThreatEventEventTagDeleteParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", eventTag.Success)
}
{
  "result": {
    "success": true
  },
  "success": true
}
Returns Examples
{
  "result": {
    "success": true
  },
  "success": true
}